Bug 90572 - startx exits to black screen
Summary: startx exits to black screen
Status: RESOLVED MOVED
Alias: None
Product: xorg
Classification: Unclassified
Component: App/xinit (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: medium minor
Assignee: Xorg Project Team
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-22 02:41 UTC by Felix Miata
Modified: 2018-08-10 20:30 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
.tgzx from rv200 host gx27b of Xorg.0.log and dmesg from Fedora, Mageia and openSUSE installations (116.67 KB, application/octet-stream)
2015-05-22 02:41 UTC, Felix Miata
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Miata 2015-05-22 02:41:43 UTC
Created attachment 115964 [details]
.tgzx from rv200 host gx27b of Xorg.0.log and dmesg from Fedora, Mageia and openSUSE installations

To reproduce:
1-login on a vtty
2-startx
3-close DE session normally

Actual behavior:
1-black vtty screen shows no visible text

Expected behavior:
1-visible shell prompt following visible server exit messages

Notes:  
1-"Black" is not always fully opaque. Sometimes text can be faintly seen. Leaving via Alt-Fn the active vtty and returning produces expected foreground and background.
2-Reproducible on multiple hosts with Radeon rv200 AGP and Nvidia nv11 AGP in Tumbleweed (kernel 4.0.3, server 1.17.1), Mageia 5 (kernel 3.19.7&8, server 1.16.4) and Fedora (22: kernel 4.0.2 server 1.17.1, and Rawhide: kernel 4.1.0.rc231, server 1.17.1).
3-Downstream bugs:
https://bugzilla.redhat.com/show_bug.cgi?id=1096487 (opened >12 months ago)
https://bugs.mageia.org/show_bug.cgi?id=15662
Comment 1 Felix Miata 2015-05-22 10:00:35 UTC
On the following installation, recovery from black only screen on exit from X session is only possible by rebooting:
Tumbleweed
Linux g5eas 4.0.3-1-desktop #1 SMP PREEMPT Wed May 13 13:41:19 UTC 2015 (3ee3773) x86_64 x86_64 x86_64 GNU/Linux
0a:03.0 VGA compatible controller: XGI Technology Inc. (eXtreme Graphics Innovation) Z7/Z9 (XG20 core)
server 1.17.1
Kernel command line: root=LABEL=2st11os133 ipv6.disable=1 net.ifnames=0 noresume splash=0 vga=791 3
Comment 2 Felix Miata 2015-08-18 17:05:07 UTC
On rv200 host m7ncd with kernel 4.1.4, server 1.17.2 and ati driver 7.5.0-1.5 on openSUSE Tumbleweed this seems to have been fixed....
Comment 3 Felix Miata 2015-08-19 08:05:59 UTC
This is still broken on rv200 host m7ncd in Fedora 23 with kernel 4.2.rc6git0.2, server 1.17.2, ati driver 7.6.0...20150709.
Comment 4 Felix Miata 2015-08-26 08:37:38 UTC
This is still broken on rv200 host gx27b in Fedora 24 with kernel 4.2.rc8git0.1, server 1.17.99, ati driver 7.6.0...20150729....
Comment 5 Felix Miata 2017-06-20 03:56:31 UTC
This continues on rv200 host gx27b in Fedora 26 with kernel 4.11.5-300, server 1.19.3, ati driver 7.9.0-1, linux-firmware 20170605.
Comment 6 Felix Miata 2017-06-20 05:19:28 UTC
This has returned on rv200 host gx27b in openSUSE Tumbleweed with kernel 4.11.5, server 1.19.3, ati driver 7.9.0-2.2, linux-firmware 20170530.
Comment 7 Felix Miata 2017-10-22 07:16:23 UTC
This is happening in both Fedora 27 and Debian 9.2 on same host gx27b.
Comment 8 GitLab Migration User 2018-08-10 20:30:46 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/xorg/app/xinit/issues/7.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.